Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123276 - OutOfMemoryError: Java heap space
OutOfMemoryError: Java heap space
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@javaee
issues@javaee
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, release601_fixes_c...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-03 17:50 UTC by fincatto
Modified: 2009-05-28 08:05 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.94 KB, text/plain)
2007-12-03 17:50 UTC, fincatto
Details
stacktrace (3.19 KB, text/plain)
2007-12-12 14:14 UTC, shroncek
Details
stacktrace (2.88 KB, text/plain)
2007-12-18 14:45 UTC, jey350
Details
stacktrace (3.19 KB, text/plain)
2007-12-19 14:22 UTC, jey350
Details
The fix integrated into the trunk on 12/05/2007 (6.76 KB, text/plain)
2008-01-28 22:19 UTC, _ potingwu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fincatto 2007-12-03 17:50:44 UTC
Build: NetBeans IDE Dev (Build 200712030000)
VM: Java HotSpot(TM) Client VM, 1.6.0_03-b05
OS: Linux, 2.6.22-14-generic, i386

User Comments:
Comment 1 fincatto 2007-12-03 17:50:48 UTC
Created attachment 53792 [details]
stacktrace
Comment 2 shroncek 2007-12-12 14:13:56 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_02-b05
OS: Linux, 2.6.20-16-generic, i386

User Comments: 
working vith visual web faces. whatever I'm doing with visual web (adding components, switching between JSP, Design, Java, undo deleting components...) netbeans comes unresponsible after several minutes.
Comment 3 shroncek 2007-12-12 14:14:05 UTC
Created attachment 54196 [details]
stacktrace
Comment 4 jey350 2007-12-18 14:45:28 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
Comment 5 jey350 2007-12-18 14:45:32 UTC
Created attachment 54361 [details]
stacktrace
Comment 6 jey350 2007-12-19 14:22:09 UTC
Build: NetBeans IDE 6.0 (Build 200711261600)
VM: Java HotSpot(TM) Client VM, 1.6.0_01-b06
OS: Windows XP, 5.1, x86

User Comments: 
Comment 7 jey350 2007-12-19 14:22:20 UTC
Created attachment 54397 [details]
stacktrace
Comment 8 _ potingwu 2008-01-15 00:59:05 UTC
The issue was already fixed on the 12th December 2007 in the trunk. The fix should be a part of patch 2 for NetBeans 6.0.
Comment 9 Exceptions Reporter 2008-01-28 09:48:47 UTC
THIS ISSUE HAS ALREADY 50 DUPLICATES
Comment 10 _ potingwu 2008-01-28 22:14:17 UTC
See the fix in issue#123427, pnejedly's comment

I fixed the facesmodel part in trunk:
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/DescriptionGroupImpl.java,v1.4
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/IconImpl.java,v1.3
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/LocaleConfigImpl.java,v1.3
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/ManagedBeanImpl.java,v1.8
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/NavigationCaseImpl.java,v1.7
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/NavigationRuleImpl.java,v1.6
web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/ResourceBundleImpl.java,v1.3
Comment 11 _ potingwu 2008-01-28 22:19:48 UTC
Created attachment 55680 [details]
The fix integrated into the trunk on 12/05/2007
Comment 12 _ krystyna 2008-01-29 20:25:05 UTC
Verified for inclusion in next patch release.
Comment 13 khu 2008-02-05 17:48:36 UTC
The fixes have been ported into the release601_fixes branch (as part of port on issue #123003)
Checking in DescriptionGroupImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/DescriptionGroupImpl.java,v  <-- 
DescriptionGroupImpl.java
new revision: 1.3.8.1; previous revision: 1.3
done
Checking in IconImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/IconImpl.java,v  <--  IconImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
Checking in LocaleConfigImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/LocaleConfigImpl.java,v  <--  LocaleConfigImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
Checking in ManagedBeanImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/ManagedBeanImpl.java,v  <--  ManagedBeanImpl.javanew
revision: 1.7.8.1; previous revision: 1.7
done
Checking in NavigationCaseImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/NavigationCaseImpl.java,v  <--  NavigationCaseImpl.java
new revision: 1.6.8.1; previous revision: 1.6
done
Checking in NavigationRuleImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/NavigationRuleImpl.java,v  <--  NavigationRuleImpl.java
new revision: 1.5.8.1; previous revision: 1.5
done
Checking in ResourceBundleImpl.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/impl/facesmodel/Attic/ResourceBundleImpl.java,v  <--  ResourceBundleImpl.java
new revision: 1.2.8.1; previous revision: 1.2
done
Comment 14 Exceptions Reporter 2009-02-09 08:03:48 UTC
Reopening - reproduced in NetBeans IDE Dev (Build 200902050256)
http://statistics.netbeans.org/exceptions/detail.do?id=6502
Comment 15 pslechta 2009-05-28 08:05:45 UTC
Reopened from DEV version (which may be unstable). I also believe that visual web is not supported (EOLed)...
Changing state of this issue back to FIXED. Reporter, please reopen if you can reproduce with latest bits...


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo